package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

public class Knight extends Player
{
    public Knight(String name)
    {
        super(name , 50, 50 , 0);
    }

    @Override
    public void specialAbility(Entity target)
    {
        if (this.getMp() >= 7)
        {
            target.takeDamage(10);
            super.specialAbility(target);
            this.setMp(this.getMp() - 7);
            System.out.println("The Knight atacked the enemy with a sharp sword 🗡️💪");
        }
        else
        {
            System.out.println("You dont have enough mp to use special ability 😓");
        }
    }
}
